Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slarzb

    java.lang.Object
      org.netlib.lapack.Slarzb

    public class Slarzb

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLARZB applies a real block reflector H or its transpose H**T to
     *  a real distributed M-by-N  C from the left or the right.
     *
     *  Currently, only STOREV = 'R' and DIRECT = 'B' are supported.
     *
     *  Arguments
     *  =========
     *
     *  SIDE    (input) CHARACTER*1
     *          = 'L': apply H or H' from the Left
     *          = 'R': apply H or H' from the Right
     *
     *  TRANS   (input) CHARACTER*1
     *          = 'N': apply H (No transpose)
     *          = 'C': apply H' (Transpose)
     *
     *  DIRECT  (input) CHARACTER*1
     *          Indicates how H is formed from a product of elementary
     *          reflectors
     *          = 'F': H = H(1) H(2) . . . H(k) (Forward, not supported yet)

     *          = 'B': H = H(k) . . . H(2) H(1) (Backward)
     *
     *  STOREV  (input) CHARACTER*1
     *          Indicates how the vectors which define the elementary
     *          reflectors are stored:
     *          = 'C': Columnwise                        (not supported yet)

     *          = 'R': Rowwise
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix C.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix C.
     *
     *  K       (input) INTEGER
     *          The order of the matrix T (= the number of elementary
     *          reflectors whose product defines the block reflector).
     *
     *  L       (input) INTEGER
     *          The number of columns of the matrix V containing the
     *          meaningful part of the Householder reflectors.
     *          If SIDE = 'L', M >= L >= 0, if SIDE = 'R', N >= L >= 0.
     *
     *  V       (input) REAL array, dimension (LDV,NV).
     *          If STOREV = 'C', NV = K; if STOREV = 'R', NV = L.
     *
     *  LDV     (input) INTEGER
     *          The leading dimension of the array V.
     *          If STOREV = 'C', LDV >= L; if STOREV = 'R', LDV >= K.
     *
     *  T       (input) REAL array, dimension (LDT,K)
     *          The triangular K-by-K matrix T in the representation of the
     *          block reflector.
     *
     *  LDT     (input) INTEGER
     *          The leading dimension of the array T. LDT >= K.
     *
     *  C       (input/output) REAL array, dimension (LDC,N)
     *          On entry, the M-by-N matrix C.
     *          On exit, C is overwritten by H*C or H'*C or C*H or C*H'.
     *
     *  LDC     (input) INTEGER
     *          The leading dimension of the array C. LDC >= max(1,M).
     *
     *  WORK    (workspace) REAL array, dimension (LDWORK,K)
     *
     *  LDWORK  (input) INTEGER
     *          The leading dimension of the array WORK.
     *          If SIDE = 'L', LDWORK >= max(1,N);
     *          if SIDE = 'R', LDWORK >= max(1,M).
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *    A. Petitet, Computer Science Dept., Univ. of Tenn., Knoxville, USA

     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Slarzb()`

Method Summary
`static void` | `slarzb(java.lang.String side, java.lang.String trans, java.lang.String direct, java.lang.String storev, int m, int n, int k, int l, float[] v, int _v_offset, int ldv, float[] t, int _t_offset, int ldt, float[] c, int _c_offset, int Ldc, float[] work, int _work_offset, int ldwork)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slarzb

    public Slarzb()

Method Detail

### slarzb

    public static void slarzb(java.lang.String side,
                              java.lang.String trans,
                              java.lang.String direct,
                              java.lang.String storev,
                              int m,
                              int n,
                              int k,
                              int l,
                              float[] v,
                              int _v_offset,
                              int ldv,
                              float[] t,
                              int _t_offset,
                              int ldt,
                              float[] c,
                              int _c_offset,
                              int Ldc,
                              float[] work,
                              int _work_offset,
                              int ldwork)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD